Last Comment Bug 68961 - "sort" options on view menu of history should have mnemonics
: "sort" options on view menu of history should have mnemonics
Status: RESOLVED FIXED
[adt3]
: access, fixed-seamonkey1.0
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: x86 Windows 98
P3 minor (vote)
: mozilla1.0.1
Assigned To: andreww
: Claudius Gayle
:
Mentors:
Depends on:
Blocks: accesskey
  Show dependency treegraph
 
Reported: 2001-02-15 13:55 PST by Jesse Ruderman
Modified: 2006-03-25 04:21 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
changes to historyTreeOverlay.dtd, historyTreeOverlay.xul, nsTreeUtils.js (6.23 KB, patch)
2002-03-01 16:37 PST, andreww
vparthas: review+
alecf: superreview+
asa: approval+
Details | Diff | Splinter Review
hooks up accesskeys on generated menuitems (2.75 KB, patch)
2005-09-20 04:11 PDT, Vidar Haarr (not reading bugmail)
neil: review+
Details | Diff | Splinter Review
hooks up accesskeys on generated menuitems v0.2 (4.08 KB, patch)
2005-09-26 00:18 PDT, Vidar Haarr (not reading bugmail)
vhaarr+bmo: review+
neil: superreview+
iann_bugzilla: approval‑seamonkey1.0+
Details | Diff | Splinter Review

Description User image Jesse Ruderman 2001-02-15 13:55:26 PST
The new "sort" options on the view menu of the bookmarks and history windows 
should have mnemonics in order to make those items easier to hit with the 
keyboard.

Bonus points if you use the same mnemonics for similar column names in both 
bookmarks and history, even when those items have slightly different names (bug 
68959).
Comment 1 User image Jesse Ruderman 2001-02-15 14:12:36 PST
Blake has informed me that these menu items are actually not new.
Comment 2 User image Keyser Sose 2001-02-27 17:57:17 PST
Moving to XPApps and adding keywords.
Comment 3 User image Claudius Gayle 2001-02-27 20:37:14 PST
cc alec who owns the global history window.
Comment 4 User image Jesse Ruderman 2001-02-27 20:50:48 PST
I like the old summary better.. it's easier to search for.
Comment 5 User image Ben Goodger (use ben at mozilla dot org for email) 2001-11-02 14:12:00 PST
.9.9
Comment 6 User image Jaime Rodriguez, Jr. 2002-02-25 12:21:06 PST
--> andreww
Comment 7 User image Lori Kaplan 2002-02-27 15:33:46 PST
approving nomination and accepting for Andrew. He's fixed a bunch o' these for
improved access. 
Comment 8 User image andreww 2002-02-28 13:37:50 PST
Looks like the sorting is no longer in the bookmarks view menu,  but I still 
see it in the history view. 

Updating summary to reflect this.
Comment 9 User image andreww 2002-03-01 14:23:42 PST
I should have know this wouldnt be a straightforward xul change. I need to 
talk to Ben to figure out how  the code here works:
http://lxr.mozilla.org/mozilla/source/xpfe/global/resources/content/nsTreeU
tils.js#273

So that we can add a routine to add mnemonics to those lables.


Adding Ben to cc:
Comment 10 User image andreww 2002-03-01 16:37:52 PST
Created attachment 72163 [details] [diff] [review]
changes to historyTreeOverlay.dtd, historyTreeOverlay.xul, nsTreeUtils.js

Thanks to Ben Goodger for the idea to add accesskey attributes to the tree
columns and then fetch them from the dom when needed like the labels already
are. 

Patch ready for review.
Comment 11 User image Alec Flett 2002-03-01 18:02:15 PST
Comment on attachment 72163 [details] [diff] [review]
changes to historyTreeOverlay.dtd, historyTreeOverlay.xul, nsTreeUtils.js

sr=alecf
Comment 12 User image varada 2002-03-06 16:06:35 PST
Comment on attachment 72163 [details] [diff] [review]
changes to historyTreeOverlay.dtd, historyTreeOverlay.xul, nsTreeUtils.js

r=varada
Comment 13 User image Ben Goodger (use ben at mozilla dot org for email) 2002-03-06 16:09:39 PST
Comment on attachment 72163 [details] [diff] [review]
changes to historyTreeOverlay.dtd, historyTreeOverlay.xul, nsTreeUtils.js

sr=ben@netscape.com
Comment 14 User image Asa Dotzler [:asa] 2002-03-06 16:19:20 PST
Comment on attachment 72163 [details] [diff] [review]
changes to historyTreeOverlay.dtd, historyTreeOverlay.xul, nsTreeUtils.js

a=asa (on behalf of drivers) for checkin to the 1.0 trunk
Comment 15 User image andreww 2002-03-08 12:52:43 PST
fix checked into trunk.
Comment 16 User image andreww 2002-03-11 09:50:44 PST
fix is in.
Comment 17 User image Claudius Gayle 2002-03-22 19:05:57 PST
As far as  I can tell, this is not fixed. Looking at the patch I presume the
goal was to create mnemonics for the various sort options in the View menu,
including Sort by(Title|Location|Last Visited|First
Visited|Hostname|Referrer|Visit Count).

So there should be little underlines and the appropriate letters should work.
There are no underlines and none of the key commands work with a 2002032203
Win98 build.

Reopening. Let me know if I've read this incorrectly
Comment 18 User image andreww 2002-03-24 17:52:20 PST
No  you are right. Something is not  working properly. Checking it out 
asap.
Comment 19 User image Blake Ross 2002-03-24 18:00:28 PST
...history has been using outliner for quite a while now.  Did this ever work?
Comment 20 User image andreww 2002-03-26 11:11:28 PST
Moving to 1.0.1.  
Comment 21 User image scottputterman 2002-04-22 19:34:12 PDT
Changing nsbeta1+ [adt3] bugs to nsbeta1- on behalf of the adt.  If you have any
questions about this, please email adt@netscape.com.  You can search for
"changing adt3 bugs" to quickly find and delete these bug mails.
Comment 22 User image scottputterman 2002-04-22 20:02:54 PDT
Changing nsbeta1+ [adt3] bugs to nsbeta1- on behalf of the adt.  If you have any
questions about this, please email adt@netscape.com.  You can search for
"changing adt3 bugs" to quickly find and delete these bug mails.
Comment 23 User image Vidar Haarr (not reading bugmail) 2005-09-20 04:11:09 PDT
Created attachment 196774 [details] [diff] [review]
hooks up accesskeys on generated menuitems

Modifies nsTreeSorting.js to hook up the accesskey attribute from the
<treecol>'s with the generated menuitems.
Comment 24 User image neil@parkwaycc.co.uk 2005-09-25 11:27:58 PDT
Comment on attachment 196774 [details] [diff] [review]
hooks up accesskeys on generated menuitems

r+sr=me but you'll need to fix the "Sorted by Last Visited" access key before
you can check this in.
Comment 25 User image Vidar Haarr (not reading bugmail) 2005-09-26 00:18:30 PDT
Created attachment 197387 [details] [diff] [review]
hooks up accesskeys on generated menuitems v0.2

Fixes the conflicting accesskey. The two viable choices were 's' or 'e', so I
picked the one closest to the left.

Neil: If you sr, could you help me check this in?

I also noted that clicking on these headers actually don't work. It fails with
"JavaScript error: chrome://global/content/nsTreeSorting.js, line 67:
column.parentNode has no properties".

But I guess that's another bug.
Comment 26 User image neil@parkwaycc.co.uk 2005-09-26 15:56:32 PDT
Comment on attachment 197387 [details] [diff] [review]
hooks up accesskeys on generated menuitems v0.2

I decided on Last _Visited and Visit _Count.
Comment 27 User image neil@parkwaycc.co.uk 2005-09-26 16:04:33 PDT
Fix checked in.

(In reply to comment #25)
> But I guess that's another bug.
Bug 257985 to be precise.
Comment 28 User image neil@parkwaycc.co.uk 2005-12-09 09:50:01 PST
Comment on attachment 197387 [details] [diff] [review]
hooks up accesskeys on generated menuitems v0.2

(for the XPFE part of this patch only, of course)
Comment 29 User image neil@parkwaycc.co.uk 2005-12-11 14:01:09 PST
Seamonkey-only portion of fix checked in to the 1.8 branch.

Note You need to log in before you can comment on or make changes to this bug.